Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Interface AggregatorCall<C>

All Superinterfaces:
  OperationCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface AggregatorCall<C>

extends OperationCall<C>

Interface AggregatorCall provides access to the current `Aggregator` invocation arguments.

This interface is generic, allowing the user to set a custom 'context' object when `Aggregator.start(cascading.flow.FlowProcess, AggregatorCall)` is called. The `OperationCall.setContext(Object)` and `OperationCall.getContext()` methods are inherited from `OperationCall`.

See Also:
  `Aggregator`, `OperationCall`

Method Summary
`TupleEntry` | `getArguments()` Returns `TupleEntry` of argument values.
`Fields` | `getDeclaredFields()` Return the resolved `Fields` declared by the current `Operation`.
`TupleEntry` | `getGroup()` Returns the current grouping `TupleEntry`.
`TupleEntryCollector` | `getOutputCollector()` Returns the `TupleEntryCollector` used to emit result values.

Methods inherited from interface cascading.operation.OperationCall
`getArgumentFields, getContext, setContext`

Method Detail

### getGroup

    TupleEntry getGroup()

  Returns the current grouping `TupleEntry`.

  Returns:
    TupleEntry

### getArguments

    TupleEntry getArguments()

  Returns `TupleEntry` of argument values.

  Will return `null` unless called in `Aggregator.aggregate(cascading.flow.FlowProcess, AggregatorCall)`.

  Returns:
    TupleEntry

### getDeclaredFields

    Fields getDeclaredFields()

  Return the resolved `Fields` declared by the current `Operation`.

  Returns:
    Fields

### getOutputCollector

    TupleEntryCollector getOutputCollector()

  Returns the `TupleEntryCollector` used to emit result values.

  Will return `null` unless called in `Aggregator.complete(cascading.flow.FlowProcess, AggregatorCall)`.

  Returns:
    TupleCollector

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.